source qemu ws22core {
  iso_url          = "../iso/windows-server-22.iso"
  iso_checksum     = "sha256:4dfac7d89ccfe74665880c9c9d2005e2b0e697bc09e18e13fb85430c49f215f4"
  output_directory = "output/"

  accelerator  = "kvm"
  machine_type = "q35"
  use_default_display = true
  qemuargs = [
    ["-parallel", "none"],
    ["-m", "4096M"],
    ["-smp", "cpus=2"],
    ["-nic", "none"]
  ]

  cpus             = 2
  memory           = 4
  disk_size        = "20480M"
  disk_compression = true
  cd_files = [
    "../drivers/0.1.221/NetKVM/2k22/amd64/*",
    "../drivers/0.1.221/viostor/2k22/amd64/*",
    "../scripts/qemu/*",
    "Autounattend.xml"
  ]

  communicator     = "none"
  shutdown_timeout = "300m"
}

build {
  sources = ["source.qemu.ws22core"]

  post-processors {
    post-processor manifest {
      output     = "manifest.json"
      strip_path = true
    }
  }
}
